# Forge macros not used because of https://src.fedoraproject.org/rpms/redhat-rpm-config/pull-request/248/

%bcond_without check
%global debug_package %{nil}
%if 0%{?fedora} >= 39
%else
%global __golang_extldflags -Wl,-z,lazy
%endif

# https://gitlab.com/nvidia/cloud-native/go-nvlib
%global goipath      gitlab.com/nvidia/cloud-native/go-nvlib
%global commit       09424fdc88847fca0ea7ab2e617d8f10ece38128
%global goextensions ids
%global extractdir   go-nvlib-%{commit}
%gometa -f


%global common_description %{expand:
A collection of useful Go libraries for use with NVIDIA GPU management tools}

%global golicenses   LICENSE NOTICE
%global godocs       CONTRIBUTING.md README.md

Name:                %{goname}
Version:             0
Release:             %autorelease -p
Summary:             A collection of useful Go libraries for use with NVIDIA GPU management tools

License:             Apache-2.0
URL:                 https://gitlab.com/nvidia/cloud-native/go-nvlib
Source:              https://gitlab.com/nvidia/cloud-native/go-nvlib/-/archive/%{commit}/go-nvlib-%{commit}.tar.gz

%description %{common_description}

%gopkg


%prep
%goprep
%autopatch -p1


%generate_buildrequires
%go_generate_buildrequires


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif


%gopkgfiles


%changelog
%autochangelog
